## com.baidubce.services.moladb
Class MolaDbClientConfiguration

    java.lang.Object
      com.baidubce.BceClientConfiguration
          com.baidubce.services.moladb.MolaDbClientConfiguration

    public class MolaDbClientConfiguration

extends BceClientConfiguration

Represents the MolaDb client configuration information.

Field Summary

Fields inherited from class com.baidubce.BceClientConfiguration
`DEFAULT_CONNECTION_TIMEOUT_IN_MILLIS, DEFAULT_MAX_CONNECTIONS, DEFAULT_PROTOCOL, DEFAULT_REGION, DEFAULT_SOCKET_TIMEOUT_IN_MILLIS, DEFAULT_USER_AGENT`

Constructor Summary
`MolaDbClientConfiguration()`

Method Summary

Methods inherited from class com.baidubce.BceClientConfiguration

`getConnectionTimeoutInMillis, getCredentials, getEndpoint, getLocalAddress, getMaxConnections, getProtocol, getProxyDomain, getProxyHost, getProxyPassword, getProxyPort, getProxyUsername, getProxyWorkstation, getRegion, getRetryPolicy, getSocketBufferSizeInBytes, getSocketTimeoutInMillis, getUserAgent, isProxyPreemptiveAuthenticationEnabled, setConnectionTimeoutInMillis, setCredentials, setEndpoint, setLocalAddress, setMaxConnections, setProtocol, setProxyDomain, setProxyHost, setProxyPassword, setProxyPort, setProxyPreemptiveAuthenticationEnabled, setProxyUsername, setProxyWorkstation, setRegion, setRetryPolicy, setSocketBufferSizeInBytes, setSocketTimeoutInMillis, setUserAgent, toString, withConnectionTimeoutInMillis, withCredentials, withEndpoint, withLocalAddress, withMaxConnections, withProtocol, withProxyDomain, withProxyHost, withProxyPassword, withProxyPort, withProxyPreemptiveAuthenticationEnabled, withProxyUsername, withProxyWorkstation, withRegion, withRetryPolicy, withSocketBufferSizeInBytes, withSocketTimeoutInMillis, withUserAgent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MolaDbClientConfiguration

    public MolaDbClientConfiguration()

Copyright © 2016. All rights reserved.